#ifndef CIMAGETEXTURE_HPP
#define CIMAGETEXTURE_HPP

#include "../../../Controller/Exception/CLibException.hpp"
#include "../../../Controller/Exception/CRuntimeException.hpp"
#include "../../../Controller/Exception/CLogicException.hpp"
#include "CAbstractTexture.hpp"

#include <string>
#include <SDL.h>
#include <SDL_image.h>
#ifdef WIN32
    #include <gl/glew.h>
#else
    #include <GL/glew.h>
#endif

class CImageTexture : public CAbstractTexture {
private:
	// Path of the file.
	std::string m_filePath;
public:
	CImageTexture(void) = delete;
	~CImageTexture(void) {};
	CImageTexture(ETextureType type, std::string filePath);
	std::string getFilePath(void);
	void setFilePath(std::string filePath);
	virtual void init(void);
};

#endif